import { Serializable } from '../Serializable';
import { TranslateService } from '@ngx-translate/core';
import { Principal } from 'app/models/login/Principal';

export class UserListingModel implements Serializable<UserListingModel> {
	public id: String;
	public name: String;
	public appRoles: Principal.AppRole[];

	fromJSONObject(item: any): UserListingModel {
		this.id = item.id;
		this.name = item.name;
		this.appRoles = item.appRoles;
		return this;
	}
}
