import { ProjectEditorComponent } from './editor/project-editor.component';
import { ProjectListingComponent } from './listing/project-listing.component';
import { RouterModule, Routes } from '@angular/router';

export const ProjectRoutes: Routes = [
  {
    path: '',
    component: ProjectListingComponent,
    data: {
      breadcrumb: true
    },
  },
  {
    path: 'edit/:id',
    component: ProjectEditorComponent,
    data: {
      breadcrumb: true
    },
    /* resolve: {
      project: ProjectResolver
    } */
  },
  {
    path: 'new',
    component: ProjectEditorComponent,
    data: {
      breadcrumb: true
    },
  },
];

