package eu.eudat.data.dao.criteria;

import eu.eudat.data.entities.DMP;
import eu.eudat.data.entities.Project;

import java.util.Date;
import java.util.List;
import java.util.UUID;

public class DataManagementPlanCriteria extends Criteria<DMP> {
    private Date periodStart;
    private Date periodEnd;
    private boolean allVersions;
    private List<UUID> groupIds;

    private List<eu.eudat.data.entities.Project> projects;

    public boolean getAllVersions() {
        return allVersions;
    }

    public void setAllVersions(boolean allVersions) {
        this.allVersions = allVersions;
    }

    public List<UUID> getGroupIds() {
        return groupIds;
    }

    public void setGroupIds(List<UUID> groupIds) {
        this.groupIds = groupIds;
    }

    public Date getPeriodStart() {
        return periodStart;
    }

    public List<Project> getProjects() {
        return projects;
    }

    public void setProjects(List<Project> projects) {
        this.projects = projects;
    }

    public void setPeriodStart(Date periodStart) {
        this.periodStart = periodStart;
    }

    public Date getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(Date periodEnd) {
        this.periodEnd = periodEnd;
    }

}
