import { Injectable } from "@angular/core";
import { LanguageService } from "../language/language.service";

@Injectable()
export class LanguageResolverService {

    private languageData = {};

    constructor(private language: LanguageService) {
        if (Object.keys(this.languageData).length == 0) {
            this.language.getLang().subscribe(result => {
                result.forEach(item => {
                    this.languageData[item.key] = item.languageKey;
                })
            })
        }
    }

    public getBy(key: string): string {
        return this.languageData[key];
    }

}